LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-16-2004, 11:05 PM   #1
OzKebab
LQ Newbie
 
Registered: Feb 2004
Posts: 2

Rep: Reputation: 0
Install kdevelop on Fedora


Thought that Kdevelop looked pretty exciting so I'm trying to install it on a newish Fedora Core system.

I tried to install what I thought was the right rpm, but I get ...

[root@localhost root]# rpm -ivh kdevelop-3.0.0-0.1.i386.rpm
error: Failed dependencies:
kdelibs-devel >= 6:3.2.0 is needed by kdevelop-3.0.0-0.1
libkmdi.so.1 is needed by kdevelop-3.0.0-0.1
libkwalletclient.so.1 is needed by kdevelop-3.0.0-0.1
qt-designer >= 1:3.2.3 is needed by kdevelop-3.0.0-0.1

Fair enough, so I download kdelibs and ...

[root@localhost root]# rpm -Uvh kdelibs-3.2.0-0.1.i386.rpm
error: Failed dependencies:
arts >= 8:1.2.0 is needed by kdelibs-3.2.0-0.1
qt >= 1:3.2.3 is needed by kdelibs-3.2.0-0.1

OK, so I download qt and ...

[root@localhost root]# rpm -ivh qt-3.2.3-0.2.i386.rpm
Preparing... ########################################### [100%]
file /usr/bin/qtconfig from install of qt-3.2.3-0.2 conflicts with file from package qt-3.1.2-14

and trying to install the arts package ...

[root@localhost root]# rpm -ivh arts-1.2.0-0.1.i386.rpm
Preparing... ########################################### [100%]
file /usr/bin/artscat from install of arts-1.2.0-0.1 conflicts with file from package arts-1.1.4-3
file /usr/bin/artsd from install of arts-1.2.0-0.1 conflicts with file from package arts-1.1.4-3
.... long list ....

I decide that I'm on a wild goose chase and am doing something fundamentally wrong. So what am I doing wrong? Do I need to install it somewhere else where it will not conflict with my existing binaries? Anyone know of a good step by step Newbiw guide to install kdevelop?
 
Old 02-16-2004, 11:24 PM   #2
Demonbane
LQ Guru
 
Registered: Aug 2003
Location: Sydney, Australia
Distribution: Gentoo
Posts: 1,796

Rep: Reputation: 47
Basically that means the kdevelop RPM you downloaded is compiled for kde3.2 and qt3.2.3, so you can either upgrade your qt and kde(all packages) or compile kdevelop from source.
By the way use rpm -Uvh instead, this upgrades the package if an older version exists, or installs it if its new.
 
Old 02-17-2004, 06:00 AM   #3
OzKebab
LQ Newbie
 
Registered: Feb 2004
Posts: 2

Original Poster
Rep: Reputation: 0
Thanks Demonbane. I went down the path of completely upgrading KDE and qt. However the dependencies seemed to be never ending, something wanted XFree86-libs then that lead to needing to upgrade lots of XFree* libs as well. In the end I used the --nodeps option on rpm to install some of the lower level libs in the dependency tree. I presume this means I may have a slightly unstable system now?? This seems to be worse than DLL hell. I guess I could have avoided all this by downloading the source and compiling. Anyway, kdevelop is up and running and looks good, I look forward to using it.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Install kdevelop pike Ubuntu 1 07-08-2005 11:59 AM
Can't install qt or kdevelop chimp Linux - Software 8 05-27-2005 05:10 PM
Kdevelop on Fedora? mohbana Fedora 1 11-27-2004 08:12 PM
Trying to Install KDevelop - Problems with X... ArthurDent Linux - Software 4 03-30-2004 04:14 PM
Trying to install KDevelop - Problems with X ArthurDent Linux - Newbie 0 03-28-2004 06:08 AM


All times are GMT -5. The time now is 01:03 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration